Loading...
Searching...
No Matches
BALL::LogStreamNotifier Class Reference

`#include <BALL/COMMON/logStream.h>`

Inheritance diagram for BALL::LogStreamNotifier:

## Public Member Functions

| LogStreamNotifier ()
virtual | ~LogStreamNotifier ()
virtual void | logNotify ()
void | registerAt (LogStream &log_stream, int min_level=LogStreamBuf::MIN_LEVEL, int max_level=LogStreamBuf::MAX_LEVEL)
void | unregister ()

## Protected Attributes

std::stringstream | stream_
LogStream * | registered_at_

## Detailed Description

Definition at line 210 of file logStream.h.

## Constructor & Destructor Documentation

## LogStreamNotifier()

BALL::LogStreamNotifier::LogStreamNotifier | ( |  | ) |

## ~LogStreamNotifier()

virtual BALL::LogStreamNotifier::~LogStreamNotifier | ( |  | ) |

virtual

## Member Function Documentation

## logNotify()

virtual void BALL::LogStreamNotifier::logNotify | ( |  | ) |

virtual

Reimplemented in BALL::VIEW::LogView.

## registerAt()

void BALL::LogStreamNotifier::registerAt | ( | LogStream & | log_stream,
|  | int | min_level = LogStreamBuf::MIN_LEVEL,
|  | int | max_level = LogStreamBuf::MAX_LEVEL )

## unregister()

void BALL::LogStreamNotifier::unregister | ( |  | ) |

## Member Data Documentation

## registered_at_

LogStream* BALL::LogStreamNotifier::registered_at_

protected

Definition at line 234 of file logStream.h.

## stream_

std::stringstream BALL::LogStreamNotifier::stream_

protected

Definition at line 232 of file logStream.h.